Bug 78687

Summary: [Qt] Unskip compositing & 3d-rendering tests
Product: WebKit Reporter: Noam Rosenthal <noam>
Component: Layout and RenderingAssignee: Rafael Brandao <rafael.lobo>
Status: RESOLVED FIXED    
Severity: Normal CC: ossy, rafael.lobo, webkit.review.bot
Priority: P2 Keywords: Qt
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch
none
Patch
none
Patch none

Description Noam Rosenthal 2012-02-15 03:29:55 PST
We're currently skipping all the compositing and 3d-rendering tests, even though most of them work. We should unskip the ones that work, and put real comments about the ones that don't.
Comment 1 Rafael Brandao 2012-02-16 09:31:48 PST
Created attachment 127391 [details]
Patch

This is a work in progress. I still need to file new bugs for these still skipped tests, and check if all expected results we have so far are really what we should expect.
Comment 2 Rafael Brandao 2012-02-16 09:33:35 PST
(In reply to comment #1)
> Created an attachment (id=127391) [details]
> Patch
> 
> This is a work in progress. I still need to file new bugs for these still skipped tests, and check if all expected results we have so far are really what we should expect.

The tests were run with 'run-layout-tests --pixel-tests -2 --enable-hardware-gpu --accelerated-painting --repeat-each=10 compositing'.
Comment 3 Rafael Brandao 2012-02-24 09:56:48 PST
Created attachment 128751 [details]
Patch

Still needs to upgrade qt5 with today's hash and see if we get any difference. It has been a lot of work to figure out which tests are really running as they should, but I believe it is very close now.
Comment 4 Rafael Brandao 2012-02-27 16:56:57 PST
Created attachment 129133 [details]
Patch

I believe this is in a good shape now, but I couldn't skip transforms/3d as we are not doing any transformation there. I've left a few comments on qt5-wk2 skipped list describing the issues I've found.
Comment 5 Noam Rosenthal 2012-02-27 16:59:32 PST
Comment on attachment 129133 [details]
Patch

LGTM
Will let you commit :)
Comment 6 Rafael Brandao 2012-02-28 11:36:50 PST
Ossy, could you double check if this patch will make bots cry and give it a cq+?
Comment 7 Csaba Osztrogon√°c 2012-02-28 11:58:16 PST
Comment on attachment 129133 [details]
Patch

double checked, cq+
Comment 8 Csaba Osztrogon√°c 2012-02-28 12:04:57 PST
(In reply to comment #2)
> The tests were run with 'run-layout-tests --pixel-tests -2 --enable-hardware-gpu --accelerated-painting --repeat-each=10 compositing'.

I think --enable-hardware-gpu and --accelerated-painting are supported only by Chromium DRT.
Comment 9 WebKit Review Bot 2012-02-28 12:54:47 PST
The commit-queue encountered the following flaky tests while processing attachment 129133 [details]:

css3/filters/effect-contrast-hw.html bug 79618 (author: cmarrin@apple.com)
perf/object-keys.html bug 63769 (author: ojan@chromium.org)
The commit-queue is continuing to process your patch.
Comment 10 WebKit Review Bot 2012-02-28 13:00:48 PST
Comment on attachment 129133 [details]
Patch

Rejecting attachment 129133 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 2

Last 500 characters of output:
ommit-queue/Source/WebKit/chromium/third_party/snappy/src --revision 37 --non-interactive --force --accept theirs-conflict --ignore-externals' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'
46>At revision 37.

________ running '/usr/bin/python tools/clang/scripts/update.py --mac-only' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'

________ running '/usr/bin/python gyp_webkit' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'
Updating webkit projects from gyp files...

Full output: http://queues.webkit.org/results/11714050
Comment 11 Rafael Brandao 2012-02-28 13:23:43 PST
(In reply to comment #8)
> (In reply to comment #2)
> > The tests were run with 'run-layout-tests --pixel-tests -2 --enable-hardware-gpu --accelerated-painting --repeat-each=10 compositing'.
> 
> I think --enable-hardware-gpu and --accelerated-painting are supported only by Chromium DRT.

No problem. I've removed those before submitting this patch, the tests were run with the same command as build bot. Thanks for looking into it.
Comment 12 Rafael Brandao 2012-02-28 15:12:48 PST
Created attachment 129339 [details]
Patch

Trying it again (rebased patch).
Comment 13 Noam Rosenthal 2012-02-28 15:13:41 PST
Comment on attachment 129339 [details]
Patch

You don't need to set the r? flag if it's already reviewed :)
Comment 14 WebKit Review Bot 2012-02-28 16:14:50 PST
Comment on attachment 129339 [details]
Patch

Clearing flags on attachment: 129339

Committed r109167: <http://trac.webkit.org/changeset/109167>
Comment 15 WebKit Review Bot 2012-02-28 16:15:08 PST
All reviewed patches have been landed.  Closing bug.